[Rubygems-developers] [ rubygems-Feature Requests-28386 ] please disallow non standard gems

noreply at rubyforge.org noreply at rubyforge.org
Wed Jul 14 20:56:02 EDT 2010


Feature Requests item #28386, was opened at 2010-07-15 00:56
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=28386&group_id=126

Category: other
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Roger Pack (rogerdpack)
Assigned to: Nobody (None)
Summary: please disallow non standard gems

Initial Comment:
Would it be possible to require gems to have at most one lib dir, and at most one file in that dir, named gem_name.rb?

This would sure beat the confusion of doing a

require 'xxx' # automagically looks up xxx in any gem--and arbitrarily loads the first.

Thanks so much.
-r

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=28386&group_id=126


More information about the Rubygems-developers mailing list